{Transformator}                    {PR-1}
uses crt, graph;
const dt=2E-6; n1=1000; n2=1000; Mt=4000;
var DV,MV: integer; H,M,F,L1,L2,r1,r2,Rn,u,i1,
    i2,i11,i10,i21,i22,i12,t,t1: real;
BEGIN DV:=Detect; InitGraph(DV,MV,'c:\bp\bgi');
r1:=15; r2:=10; Rn:=10; M:=0.08; L1:=0.2; L2:=0.1;
Repeat t:=t+dt; {u:=100*sin(t*314);}
  If sin(t*314)>0 then u:=100*sin(t*314);
 {If sin(t*100)>0 then u:=50 else u:=0;}
  i1:=i1+((u-r1*i1)*dt-M*(i2-i21))/L1; i11:=i12; i12:=i1;
  i2:=(L2*i2-M*(i1-i11))/((r2+Rn)*dt+L2);
  i21:=i22; i22:=i2; delay(1);
  If t>0.008 then begin t1:=t-0.008;
    circle(round(Mt*t1),240,1);
    circle(round(Mt*t1),240-round(1*u),1);
    circle(round(Mt*t1),240-round(40*i1),1);
    circle(round(Mt*t1),240-round(40*i2),1); end;
until KeyPressed; CloseGraph;
END.

{Transformator}                    {PR-2}
uses crt, graph;
const dt=1E-5; n1=2000; n2=500; r1=8; r2=2; Rn=10; Mt=5000;
var DV,MV: integer;
    H,M,L1,L2,u,i1,i2,i11,i10,i21,i22,i12,t,t1: real;
BEGIN DV:=Detect; InitGraph(DV,MV,'c:\bp\bgi');
Repeat t:=t+dt; H:=abs(n1*i1+n2*i2)/1000;
  L1:=0.05+0.25*exp(-H/3); L2:=0.05+0.25*exp(-H/2);
  M:=0.7*L1; {u:=300*sin(t*314);}
  {If sin(t*314)>0 then u:=100*sin(t*314);}
  If sin(t*314)>0 then u:=100 else u:=0;
  i1:=i1+((u-r1*i1)*dt-M*(i2-i21))/L1; i11:=i12; i12:=i1;
  i2:=(L2*i2-M*(i1-i11))/((r2+Rn)*dt+L2);
  i21:=i22; i22:=i2; delay(1);
  If t>0.08 then begin t1:=t-0.08;
    circle(round(Mt*t1),240-round(1.5*u),1);
    circle(round(Mt*t1),240-round(15*i1),2);
    circle(round(Mt*t1),240-round(15*i2),1); end;
until KeyPressed; CloseGraph;
END.

