{ Giroscop } {PR-1.}
uses crt, graph;
const N=3; dt=0.001; Ms=40; pi=3.1415926;
      r=0.006; teta0=0.8; l0=5;
var m,Fx,Fy,Fz,x,y,z,vx,vy,vz,xx,yy: array[1..N] of real;
    Gd,Gm,i,j,k: integer; b,xc,yc,zc,ax,ay,az,F,l,t : real;
    teta,cost,sint,fi,cosfi,sinfi,Mx,My:real;
Procedure Sila;
begin
For i:=1 to N do begin Fx[i]:=0; Fy[i]:=0; Fz[i]:=0; end;
For i:=1 to N do for j:=1 to N do begin
  l:=sqrt(sqr(x[i]-x[j])+sqr(y[i]-y[j])+sqr(z[i]-z[j]));
  If l<>0 then begin F:=25000*(l0-l);
  Fx[i]:=Fx[i]+F*(x[i]-x[j])/l; Fy[i]:=Fy[i]+F*(y[i]-y[j])/l;
  Fz[i]:=Fz[i]+F*(z[i]-z[j])/l; end; end; end;
Procedure Nach_uslov;
begin m[1]:=2; m[2]:=2.1; m[3]:=0.01; b:=pi/2-teta0;
  x[1]:=0; y[1]:=l0*cos(b+pi/6); z[1]:=l0*sin(b+pi/6);
  x[2]:=0; y[2]:=l0*cos(b-pi/6); z[2]:=l0*sin(b-pi/6);
  vx[1]:=-4; vx[2]:=3.5;  end;
BEGIN Gd:=Detect; InitGraph(Gd, Gm, 'c:\bp\bgi');
line(320,0,320,240);
line(320,240,round(320+300*cos(pi/8)),round(240+300*sin(pi/8)));
line(320,240,round(320-300*cos(pi/8)),round(240+300*sin(pi/8)));
circle(320,240,210); Nach_uslov;
Repeat Sila; For i:=1 to 2 do begin
  ax:=(Fx[i]-r*vx[i])/m[i]; ay:=(Fy[i]-r*vy[i])/m[i];
  az:=(Fz[i]-r*vz[i])/m[i]-0.05;
  vx[i]:=vx[i]+ax*dt;  vy[i]:=vy[i]+ay*dt;
  vz[i]:=vz[i]+az*dt;  x[i]:=x[i]+vx[i]*dt;
  y[i]:=y[i]+vy[i]*dt; z[i]:=z[i]+vz[i]*dt;
end; inc(k); t:=t+dt;
If k mod 30=0 then begin k:=0;
  xc:=(m[1]*x[1]+m[2]*x[2])/(m[1]+m[2]+m[3]);
  yc:=(m[1]*y[1]+m[2]*y[2])/(m[1]+m[2]+m[3]);
  zc:=(m[1]*z[1]+m[2]*z[2])/(m[1]+m[2]+m[3]);
  Mx:=cos(pi/8); My:=sin(pi/8);
If xc>0 then circle(320+round(Ms*(yc-xc)*Mx*0.9),
                    240-round(Ms*(zc-(xc+yc)*My)),2);
If xc<0 then circle(320+round(Ms*(yc-xc)*Mx*0.9),
                    240-round(Ms*(zc-(xc+yc)*My)),1);
cost:=zc/l0/0.87; sint:=sqrt(1-cost*cost);
teta:=arctan(sint/cost);
circle(round(t/1),440-round(teta*200),1);
circle(round(t/1),441-round(teta*200),1);
cosfi:=xc/sqrt(xc*xc+yc*yc); sinfi:=sqrt(1-cosfi*cosfi);
fi:=arctan(sinfi/cosfi);
{circle(round(t/1),240-round(fi*100),1);} end;
until KeyPressed; CloseGraph;
END.

{PR-2.}
uses crt, graph;
const N=5; dt=0.0005; Ms=45; pi=3.1415926; r=0.01; 
      teta0=0.6; l0=10;
var m,Fx,Fy,Fz,x,y,z,vx,vy,vz: array[1..N] of real;
Gd,Gm,i,j,k: integer; b,xc,yc,zc,ax,ay,az,F,l,l1,t: real;
teta,cost,sint,fi,cosfi,sinfi,Mx,My,gg: real;
Procedure Sila;
label Metka;
begin
  For i:=1 to N do begin Fx[i]:=0; Fy[i]:=0; Fz[i]:=0; end;
  For i:=1 to N do for j:=1 to N do begin
    If j=i then goto Metka; l1:=l0;
    l:=sqrt(sqr(x[i]-x[j])+sqr(y[i]-y[j])+sqr(z[i]-z[j]));
    If (i*j=3)or(i*j=6)or(i*j=8)or(i*j=4)then l1:=10/1.41;
    F:=25000*(l1-l); Fx[i]:=Fx[i]+F*(x[i]-x[j])/l;
    Fy[i]:=Fy[i]+F*(y[i]-y[j])/l;
    Fz[i]:=Fz[i]+F*(z[i]-z[j])/l; Metka: end;
end;
Procedure Nach_uslov;
begin b:=pi/2-teta0;
m[1]:=1; m[2]:=1; m[3]:=1; m[4]:=1.5; m[5]:=0.01;
x[1]:=0; y[1]:=l0*cos(b+pi/6); z[1]:=l0*sin(b+pi/6);
x[2]:=0; y[2]:=l0*cos(pi/6-b); z[2]:=-l0*sin(pi/6-b);
z[3]:=(z[1]+z[2])/2; y[3]:=(y[1]+y[2])/2; z[4]:=z[3]; y[4]:=y[3];
x[3]:=l0*sin(pi/6); x[4]:=-l0*sin(pi/6); x[5]:=0; y[5]:=0; 
z[5]:=0; vx[1]:=-42; vx[2]:=40; end;
BEGIN Gd:=Detect; InitGraph(Gd, Gm, 'c:\bp\bgi');
line(390,0,390,500); Nach_uslov;
Repeat Sila;
for i:=1 to 4 do begin ax:=(Fx[i]-r*vx[i])/m[i];
ay:=(Fy[i]-r*vy[i])/m[i]; az:=(Fz[i]-r*vz[i])/m[i]-0.3;
vx[i]:=vx[i]+ax*dt; vy[i]:=vy[i]+ay*dt; vz[i]:=vz[i]+az*dt;
x[i]:=x[i]+vx[i]*dt; y[i]:=y[i]+vy[i]*dt; z[i]:=z[i]+vz[i]*dt;
end; inc(k); t:=t+dt;
If k mod 30=0 then begin k:=0;
xc:=(m[1]*x[1]+m[2]*x[2]+m[3]*x[3]+m[4]*x[4])/
    (m[1]+m[2]+m[3]+m[4]+m[5]);
yc:=(m[1]*y[1]+m[2]*y[2]+m[3]*y[3]+m[4]*y[4])/
    (m[1]+m[2]+m[3]+m[4]+m[5]);
zc:=(m[1]*z[1]+m[2]*z[2]+m[3]*z[3]+m[4]*z[4])/
    (m[1]+m[2]+m[3]+m[4]+m[5]);
Mx:=cos(pi/8); My:=sin(pi/8);
If xc>0 then circle(390+round(Ms*(yc-xc)*Mx*0.9),
                    500-round(Ms*(zc-(xc+yc)*My) ),2);
If xc<0 then circle(390+round(Ms*(yc-xc)*Mx*0.9),
                    500-round(Ms*(zc-(xc+yc)*My)),1);
circle(390,500,10*Ms); end;
until KeyPressed; CloseGraph;
END.
