Uses crt, graph;                     { PR - 1 }
Const n=200; h=1; dt=0.02;
Var  i, j, DV, MV, EC : integer;
eta,xi,xi1,xi2 : array[1..N] of real; t, b, vv : real;
BEGIN DV:=Detect; InitGraph(DV,MV,'c:\bp\bgi');
  Repeat t:=t+dt;
  If t<6.28 then xi1[1]:=2*sin(t) else xi1[1]:=0;
  For i:=2 to N-1 do begin
      If i<N/2 then vv:=8 else vv:=3;
      xi2[i]:=2*xi1[i]-xi[i]+vv*(xi1[i-1]-
               2*xi1[i]+xi1[i+1])/h/h*dt*dt; end;
  For i:=1 to N-1 do
  begin xi[i]:=xi1[i]; xi1[i]:=xi2[i]; end;
      setcolor(black);
  For i:=1 to N do begin circle(i*3,240-round(xi[i]*50),2);
  line(i*3-3,240-round(xi[i-1]*50),i*3,240-round(xi[i]*50));
      end; setcolor(white);
  For i:=1 to N do begin circle(i*3,240-round(xi1[i]*50),2);
  line(i*3-3,240-round(xi1[i-1]*50),i*3,240-round(xi1[i]*50)); end;
  until KeyPressed; CloseGraph;
END.


{$N+} {Interferebciya na plastine}
uses crt, graph;                           { PR - 2 }
const N=200; M=200; h=1; dt=0.2; Size=4;
type  RealPoint= ^single;
var i,j,DV,MV : integer; vv,t,r : single;
    a: array[1..2*N] of pointer;
Function xi(i,j: word): RealPoint;
begin
  xi:=Ptr(Seg(a[i]^),ofs(a[i]^)+(j-i)*Size);
end;
Procedure Formula;
begin vv:=4;
  {If i<50 then vv:=2 else vv:=4; }
  If (i>10)and(i<190)and(j>10)and(j<190) then r:=0 else r:=0.2;
  xi(i+N,j)^:=xi(i+N,j)^+vv*(xi(i,j+1)^-2*xi(i,j)^+xi(i,j-1)^+
  xi(i+1,j)^-2*xi(i,j)^+xi(i-1,j)^)/h*dt-r*xi(i+N,j)^*dt;
end;
Procedure Raschet;
begin
  For i:=2 to N-1 do For j:=2 to M-1 do Formula;
  For i:=2 to N-1 do For j:=2 to M-1 do
               xi(i,j)^:=xi(i,j)^+xi(i+N,j)^*dt;
  For i:=N-1 downto 2 do For j:=M-1 downto 2 do Formula;
  For j:=2 to M-1 do For i:=2 to N-1 do
                       xi(i,j)^:=xi(i,j)^+xi(i+N,j)^*dt;
end;
Procedure Draw;
begin
For i:=2 to N-1 do For j:=2 to M-1 do
  begin
    setcolor(round(xi(i,j)^/5));
    rectangle(10+i*2,450-j*2,13+i*2,453-j*2);
    rectangle(11+i*2,451-j*2,12+i*2,452-j*2);
  end;
end;
BEGIN
DV:=Detect; InitGraph(DV,MV,'c:\bp\bgi');
setbkcolor(15); setcolor(8);
rectangle(11,451,12+200*2,450-200*2);
For i:=1 to 2*N+1 do
  begin
    GetMem(a[i], M*Size);
    For j:=1 to M do xi(i,j)^:=0;
  end;
Repeat
  t:=t+dt;
  xi(60,60)^:=100*sin(t*1);
  xi(120,120)^:=100*sin(t*1);
  Raschet; Draw;
until KeyPressed;
Release(HeapOrg); CloseGraph;
END.


{$N+}                                { PR - 3 }
uses crt, graph;
const N=120; M=120; h=1; dt=0.2;
var  k,i, j, DV, MV : integer;
     vv,eta,a,t : single;
     xi: array[1..N,1..M] of single;
var F: file of single;
Procedure Formula;
begin
  if i<N/2 then vv:=2 else vv:=5;
  eta:=eta+vv*(xi[i,j+1]-2*xi[i,j]+xi[i,j-1]+
       xi[i+1,j]-2*xi[i,j]+xi[i-1,j])/h/h*dt;
end;
Procedure Raschet;
var aa: real; k: integer;
begin
Assign(F,'a.dat'); Reset(F); k:=0;
For i:=2 to N-1 do For j:=2 to M-1 do
  begin
   inc(k); Seek(F,K); Read(F,eta);
   Formula; Seek(F,K); Write(F,eta);
  end; k:=0;
For i:=2 to N-1 do For j:=2 to M-1 do
  begin
    inc(k); Seek(F,K); Read(F,eta);
    xi[i,j]:=xi[i,j]+eta*dt;
  end; k:=0;
For i:=2 downto N-1 do For j:=2 downto M-1 do
  begin
    inc(k); Seek(F,K); Read(F,eta);
    Formula; Seek(F,K); Write(F,eta);
  end; k:=0;
For i:=2 downto N-1 do For j:=2 downto M-1 do
  begin
    inc(k); Seek(F,K); Read(F,eta);
    xi[i,j]:=xi[i,j]+eta*dt;
  end; Close(F);
end;
Procedure Draw;
begin
For i:=2 to N-1 do For j:=2 to M-1 do
  begin
   setcolor(round(xi[i,j]/5));
   rectangle(10+i*3,450-j*3,13+i*3,453-j*3);
   rectangle(11+i*3,451-j*3,12+i*3,452-j*3);
  end;
end;
Procedure FileCreate;
begin
  Assign(F,'a.dat'); Rewrite(F);
  For i:=1 to N do For j:=1 to M do Write(F,a);
end;
BEGIN vv:=2;
DV:=Detect; InitGraph(DV,MV,'c:\bp\bgi');
setbkcolor(15); setcolor(8);
rectangle(11,451,12+120*3,452-120*3); FileCreate;
Repeat
  t:=t+dt;
  xi[40,60]:=50*sin(t*2);
  Raschet; Draw;
until KeyPressed; CloseGraph;
END.


{Interferencionnaya kartina}
uses crt, graph;                           { PR - 4 }
const m=500; h=1; dt=0.001;
var i,j,jj,k,DV, MV, EC : integer;
    x1,x2,s,pi,lambda,xx,x,y : real;
    a1,a2,d,l1,l2,II,In1,In2,razn,fi1,fi2 : real;
BEGIN
DV:=Detect; InitGraph(DV,MV,'c:\bp\bgi');
EC:=GraphResult; if EC <> grOK then Halt(1);
pi:=3.1415; lambda:=6; d:=15; x1:=32-d; x2:=32+d;
For i:=1 to 640 do For j:=0 to 480 do begin
   x:=0.1*i; y:=-10+0.1*j;
   l1:=sqrt((x-x1)*(x-x1)+y*y); l2:=sqrt((x-x2)*(x-x2)+y*y);
   If l1<>0 then A1:=1/l1; if l2<>0 then A2:=2/l2;
   s:=A1*sin(2*pi*l1/lambda)+A2*sin(2*pi*l2/lambda);
   putpixel(i,j,abs(round(s*50))+1); end;
ReadKey; CloseGraph;
END.


{Avtovolna}
{$N+}                                          { PR - 5 }
uses crt, graph;
const n=320; M=40; t0=10; tkr=5; u0=3; ukr=1; h=1; dt=0.01;
var  time,i,j,DV,MV,EC,k : integer; a,b,r,P,Q : real;
     t,u: array[1..N] of single;
     gor: array[1..N] of integer;
Procedure Raschet; {---- Vichislenie temperaturi ----}
begin
  P:=0; Q:=0;
  If (t[i]>tkr)and(u[i]>ukr) then gor[i]:=1 else gor[i]:=0;
  If gor[i]=1 then begin P:=2; Q:=-0.07; end; {trava sgoraet}
  If (gor[i]=0)and(t[i]>0) then begin P:=-0.1; end; {ohlagdaetsya}
  If (gor[i]=0)and(u[i]<u0)and(t[i]<0.2) then
                begin r:=0.003; end else r:=0; {trava rastet}
  If (t[i]>1.2*tkr) then t[i]:=1.2*tkr;
  t[i]:=t[i]+a*(t[i+1]-2*t[i]+t[i-1])*dt/(h*h)+P*dt;
  {u[i]:=u[i]+Q*dt+r*u[i]*(u0-u[i])/5;}
  u[i]:=u[i]+b*(u[i+1]-2*u[i]+u[i-1])*dt/(h*h)+
                              Q*dt+r*u[i]*(u0-u[i]);
end;
BEGIN
DV:=Detect; InitGraph(DV,MV,'c:\bp\bgi');
a:=6; b:=3; setbkcolor(15);
For i:=1 to N do
  begin u[i]:=u0;
    If (i>1)and(i<20){or(i>300)and(i<N)} then t[i]:=t0;
  end;
Repeat inc(time);
  t[1]:=t[2]; t[N]:=t[N-1]; u[1]:=u[2]; u[N]:=u[N-1];
  For i:=2 to N-1 do Raschet;
  For i:=N-1 downto 2 do Raschet;
  If time mod 100=0 then
    begin cleardevice;
      For i:=2 to N do
        begin setcolor(12);
          circle(i*2,400-round(M*t[i]),1);
          circle(i*2,400-round(M*t[i]),2);
          line(i*2,400-round(M*t[i]),2*(i-1),400-round(M*t[i-1]));
          If gor[i]=1 then circle(i*2,400-round(M*t[i]),4);
          setcolor(9); circle(i*2,400-round(M*u[i]),1);
          circle(i*2,400-round(M*u[i]),2);
        end;
      end;
  line(0,405,640,405);
  line(0,400-round(M*tkr),640,400-round(M*tkr));
until (time>100000)or(KeyPressed);
Repeat until KeyPressed; CloseGraph;
END.


{ Dvumernaya avtovolna }
{$N+}                                      { PR - 6 }
uses crt, graph;
const n=110; M=90; t0=10; tkr=5;
      u0=65000; ukr=32000; h=1; dt=0.05;
var  time,i,j,k,DV,MV,EC: integer; a,P,Q,uu: single;
    t: array[0..N+1,0..M+1] of single;
    u: array[0..N+1,0..M+1] of word;
gor: boolean;
Procedure Raschet; {---- Vichislenie temperaturi ----}
begin P:=0; Q:=0;
If (t[i,j]>tkr)and(u[i,j]>ukr) then gor:=true else gor:=false;
If gor=true then begin P:=1.9; Q:=-1600; end;  {trava sgoraet}
If (gor=false)and(t[i,j]>0) then begin P:=-0.25; end; {bistro ohlagdaetsya}
If (gor=false)and(u[i,j]<u0)and(t[i,j]<0.9*tkr) then Q:=500000; {trava rastet}
t[i,j]:=t[i,j]+a*(t[i+1,j]+t[i-1,j]+t[i,j+1]
             -4*t[i,j]+t[i,j-1])*dt/(h*h)+P*dt;
uu:=u[i,j]+Q*dt;
If t[i,j]>2*tkr then t[i,j]:=2*tkr;
If uu>=u0 then u[i,j]:=u0;
If (uu>1)and(uu<u0) then u[i,j]:=round(uu);
If uu<1 then u[i,j]:=1;
If (i=92)and(j>40)and(j<70) then a:=0.1 else a:=0.8;
end;
BEGIN
a:=0.8;
DV:=Detect; InitGraph(DV,MV,'c:\bp\bgi'); setbkcolor(15);
For i:=1 to N do For j:=1 to M do
  begin
    u[i,j]:=u0; t[i,j]:=0;
{   If sqr(i-45)+sqr(j-40)<100
                 then t[i,j]:=2*t0;} {odinochnaya volna}
    If (i>45)and(i<55)and(j<40)
              then t[i,j]:=2*t0;  {odnorukavnaya volna}
    If (i>40)and(i<46)and(j<40) then
      begin
        u[i,j]:=round(0.3*ukr); t[i,j]:=0.9*tkr;
      end;
  end;
Repeat inc(time);
  For i:=1 to N do For j:=1 to M do begin
      u[1,j]:=u[2,j]; u[N,j]:=u[N-1,j];
      u[i,1]:=u[i,2]; u[i,M]:=u[i,M-1];
      t[1,j]:=t[2,j]; t[N,j]:=t[N-1,j];
      t[i,1]:=t[i,2]; t[i,M]:=t[i,M-1]; end;
  For i:=2 to N-1 do For j:=2 to M-1 do Raschet;
  For i:=N-1 downto 2 do For j:=M-1 downto 2 do Raschet;
  If time mod 100=1 then
    begin cleardevice;
      For i:=2 to N do For j:=2 to M-1 do
        begin setcolor(9);
          If u[i,j]>ukr then setcolor(2);
          If (t[i,j]>tkr)and(u[i,j]>ukr) then setcolor(12);
          If u[i,j]<ukr then setcolor(9);
          If (i>90)and(i<94)and(j>40)and(j<70) then setcolor(8);
          rectangle(i*5,j*5,i*5+4,j*5+4);
          rectangle(i*5+1,j*5+1,i*5+3,j*5+3); end;
    end;
until KeyPressed; CloseGraph;
END.


{Dispersiya}
{$N+}                                       { PR - 7 }
uses  crt, graph;
Const m=0.5; r=0.1;  dt=0.0015; q=150; N=150; w=6; k=13;
Var F,teta,Sum,S,t : single; i,x,Gd,Gm : integer;
eta, ksi, y,a,b : array [0..N] of single;
BEGIN
  Gd:= Detect; InitGraph(Gd, Gm, 'c:\bp\bgi');
  setbkcolor(15); setcolor(8); line(10,250,630,250);
  Repeat t:=t+dt; cleardevice;
  For i:=1 to N-1 do y[i]:=ksi[i];
  For i:=1 to N-1 do
    begin
      b[i]:=a[i]; x:=10+4*i;
      F:=q*(ksi[i-1]-ksi[i])+q*(ksi[i+1]-ksi[i]);
      teta:=(F-r*eta[i]-k*ksi[i])/m;
      eta[i]:=eta[i]+teta*dt; ksi[i]:=ksi[i]+eta[i]*dt;
      If w*t<2*3.142 then ksi[1]:=9*sin(w*t) else
                                    begin ksi[1]:=0; eta[1]:=0; end;
      a[i]:=(k*sqr(ksi[i])+q*sqr(ksi[i+1]-ksi[i])+m*sqr(eta[i]))/2/10;
      circle(x,370-round(ksi[i]*10),2); circle(x,370-round(ksi[i]*10),3);
      line(10+4*(i-1),369-round(ksi[i-1]*10),x,369-round(ksi[i]*10));
      rectangle(x,250-round(a[i]),x+1,250);
      rectangle(x+2,250-round(a[i]),x+3,250);
    end; Sum:=0; S:=0;
  For i:=1 to N do begin Sum:=Sum+a[i]; S:=S+a[i]*i; end;
  circle(10+4*round(S/Sum),260,2);
  circle(10+4*round(S/Sum),260,3); delay(1);
  until KeyPressed;
CloseGraph;
END.


uses crt, graph;                     { PR - 8 }
const m=0.05; r=0.015; k=12; dt=0.0005; q=100;
      N=120; pi=3.1415;
var F,teta: Real; i,j,t,Gd,Gm: integer;
    eta,ksi,y,e,e0: array [1..N] of real;
BEGIN
Gd:= Detect; InitGraph(Gd, Gm, 'c:\bp\bgi');
Repeat inc(t);
  For i:=2 to N-1 do
    begin y[i]:=ksi[i]; e0[i]:=e[i]; ksi[N]:=0;
      If (5*pi*t*dt)<2*pi then
         ksi[1]:=2*sin(5*pi*t*dt) else ksi[1]:=0;
      F:=q*(ksi[i-1]-ksi[i])+q*(ksi[i+1]-ksi[i]);
      teta:=(F-r*eta[i]-k*ksi[i])/m;
      ksi[i]:=ksi[i]+eta[i]*dt+teta*dt*dt/2;
      eta[i]:=eta[i]+teta*dt;
      e[i]:=q*sqr(ksi[i-1]-ksi[i])/2+q*sqr(ksi[i+1]-
         ksi[i])+k*ksi[i]*ksi[i]/2+m*eta[i]*eta[i]/2;
    end;
  For i:=2 to N-1 do begin setcolor(8);
      line(5*i,400,5*i,400-round(y[i]*30));
      line(5*i,250,5*i,250-round(e0[i]*2));
      setcolor(15);
      line(5*i,400,5*i,400-round(ksi[i]*30));
      line(5*i,250,5*i,250-round(e[i]*2));
    end;
until KeyPressed; CloseGraph;
END.
